﻿/* ReSharper disable once CssBrowserCompatibility */
.bg-image-formheader {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    width: 100%;
    height: auto;
    position: relative; /* Ensure inner divs position correctly */
    display: flex;
    align-items: center;
    justify-content: center;
}

.bg-primary-dark-op-formheader {
    background-color: rgba(0, 0, 0, 0.5); /* Optional: Add a dark overlay */
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.content-formheader {
    text-align: center;
    color: white;
}

.home-card-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    gap: 20px; /* Adjust this value to control space between cards */
}

.home-card {
    width: calc(33.333% - 14px); /* Subtracting to account for gap */
    margin-bottom: 20px; /* Space between rows */
}

.home-image-container {
    width: 100%;
    height: 0;
    padding-bottom: 56.25%; /* 16:9 Aspect Ratio */
    position: relative;
    overflow: hidden;
}

.home-image-dashboard {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0.85; /* 85% opacity (15% transparency) */
}

@media (max-width: 768px) {
    .home-card {
        width: 100%; /* Full width on smaller screens */
    }
}

/* Notifications dropdown in navigation bar */
.header-dropdown-spacing {
    margin-right: 1rem;
}

#notificationsDropdownContainer {
    position: relative;
}

.dropdown-menu[aria-labelledby="notificationsDropdown"] {
    position: absolute;
    right: 100%; /* This positions the menu to the left of the button */
    top: 0;
    left: auto;
    width: 300px; /* Adjust as needed */
    margin-right: 10px; /* Adds some space between the button and the dropdown */
}

@media (max-width: 576px) {
    .dropdown-menu[aria-labelledby="notificationsDropdown"] {
        right: 0;
        left: auto;
        width: 280px; /* Slightly smaller for mobile screens */
        margin-right: 0;
    }
}

.modal-backdrop {
    opacity: 0.5;
}

.modal-content {
    background-color: #fff;
    color: #000;
}

.ellipsis {
    cursor: pointer;
    color: #007bff;
}

    .ellipsis:hover {
        text-decoration: underline;
    }

/* END notifications dropdown custom styling */

/*.display-4 {
    font-size: 2.5rem;*/ /* Adjust as needed */
/*font-weight: 600;
}

.fs-4 {
    font-size: 1.25rem;*/ /* Adjust as needed */
/*font-weight: 400;
}

.text-white-75 {
    color: rgba(255, 255, 255, 0.75) !important;
}*/
.image-gallery {
    display: flex;
    align-items: center;
    overflow-x: auto;
    padding-bottom: 10px;
}

    .image-gallery::-webkit-scrollbar {
        width: 8px;
        height: 8px;
    }

    .image-gallery::-webkit-scrollbar-track {
        background: #f1f1f1;
    }

    .image-gallery::-webkit-scrollbar-thumb {
        background-color: #888;
        border-radius: 4px;
    }

        .image-gallery::-webkit-scrollbar-thumb:hover {
            background-color: #555;
        }

.thumbnail {
    width: 233px;
    height: 144px;
    object-fit: cover;
    border-radius: 4px;
    margin-right: 10px;
    cursor: pointer;
    transition: transform 0.3s;
}

    .thumbnail:hover {
        transform: scale(1.15);
    }

.card-header-events {
    padding: 0.5rem 1rem;
    margin-bottom: 0;
    /* background-color: rgba(0, 0, 0, 0.03);*/
    border-bottom: 1px solid rgba(0, 0, 0, 0.125);
    background: #152F4F;
    color: white;
    font-size: 1.27em !important;
}

.card-header-column-titles {
    background: #486282;
    color: white
}

.note-column-titles {
    background: #152F4F;
    color: white
}

.event-category-font {
    font-size: .72em !important;
    /* font-size: .618em !important;*/
}

.event-item-font {
    font-size: .62em !important;
    /* font-size: .5em !important;*/
}

.button-white-darkblue {
    background-color: #ffffff;
    color: #152F4F;
    text-decoration: none;
    padding: 12px 20px 15px;
    border-radius: 5px;
    font-weight: bold;
    width: 31.8%;
    text-align: center;
    margin: auto;
}

.button-darkblue-white {
    background-color: #152F4F;
    color: #ffffff;
    text-decoration: none;
    padding: 12px 20px 15px;
    border-radius: 5px;
    font-weight: bold;
    width: 31.8%;
    text-align: center;
    margin: auto;
}

.toggle-more {
}

.table-row-limited tbody tr:nth-child(n+9) {
    display: none;
}

.table-expanded {
    max-height: none !important;
}

.footer-test {
    background: #152F4F;
    color: white;
}

    .footer-test h2,
    .footer-test h3,
    .footer-test h4,
    .footer-test h5 {
        color: white;
    }

    .footer-test .links ul {
        list-style-type: none;
    }

    .footer-test .links li a {
        color: white;
        transition: color .2s;
    }

        .footer-test .links li a:hover {
            text-decoration: none;
            color: #4180CB;
        }

.about-company i {
    font-size: 25px;
}

.about-company a {
    color: white;
    transition: color .2s;
}

    .about-company a:hover {
        color: #4180CB;
    }

.location i {
    font-size: 18px;
}

.copyright p {
    border-top: 1px solid rgba(255,255,255,.1);
}

.selectors-container {
    background: #f2f2f2;
    margin-bottom: 1rem;
    font-size: 0;
}

    .selectors-container .col {
        font-size: 1.2rem;
        width: calc(50% - 1em);
        padding: 0.5em;
        display: inline-block;
    }

    .selectors-container select {
        width: 100%;
        font-size: 16px; /* prevent page zoom in iOS */
    }

@media (max-width: 768px) {
    .selectors-container .col {
        display: block;
        width: calc(100% - 1em);
    }
}

/*Commodity specs*/
.commodity-specs-label-blue {
    margin: 0 15px 0 5px;
    color: #4c78dd !important;
}

.commodity-specs-label-black {
    margin: 0 15px 0 5px;
    color: black !important;
}

.commodity-specs-item {
    margin: 0 13px 0 13px;
    font-style: italic;
    color: rgba(0, 0, 0, 0.75) !important;
}

.dashboard-button {
    background-color: #4c78dd !important;
    color: white !important;
    font-size: 0.75em;
    border: solid !important;
    border-radius: 8px !important;
    padding: 5px 10px 5px 10px !important;
    margin: 5px 8px 5px 0 !important;
}

.dashboard-fieldset-row-start {
    float: left;
    padding-left: 21px;
    margin: 5px 21px 5px 13px !important;
    border-radius: 5px !important;
    border: solid !important;
    border-color: #4c78dd !important;
    border-width: 2px;
}

.dashboard-fieldset {
    margin: 5px 21px 5px 3px !important;
    border-radius: 5px !important;
    border: solid !important;
    border-color: #4c78dd !important;
    border-width: 2px;
}

.dashboard-fieldset-row-end {
    float: right;
    padding-right: 21px;
    margin: 5px 13px 5px 21px !important;
    border-radius: 5px !important;
    border: solid !important;
    border-color: #4c78dd !important;
    border-width: 2px;
}

#edit-noteForm input:not([disabled]),
#edit-noteForm textarea:not([disabled]) {
    color: blue;
}
